## mx-network-assistant 18.11

=== debian/changelog ===
mx-network-assistant (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 13:55:29 -0500

mx-network-assistant (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 19:12:03 -0400

mx-network-assistant (18.8) mx; urgency=medium

  * fix icons other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 16:55:17 -0400

mx-network-assistant (18.6.1) mx; urgency=medium

  * added changelog button
  * fixed getVersion()

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Jun 2018 22:11:23 -0400

mx-network-assistant (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 15:21:02 -0400

mx-network-assistant (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 10:44:19 -0500

mx-network-assistant (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 02:13:39 -0500

mx-network-assistant (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 14:39:27 -0500

mx-network-assistant (17.10) mx; urgency=medium

  * changed icon

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Oct 2017 09:40:48 -0400

mx-network-assistant (17.8) mx; urgency=medium

  * re-write of mx-broadcom-manager

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Aug 2017 10:02:28 -0400

## mx-network-assistant 19.1

=== debian/changelog ===
mx-network-assistant (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 16:17:16 -0500

## mx-network-assistant 19.4

=== debian/changelog ===
mx-network-assistant (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:43:33 -0400

## mx-network-assistant 25.09

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2017-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-network-assistant.
# *
# * mx-network-assistant is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-network-assistant is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-network-assistant.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-network-assistant
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "Network Assistant - Network configuration tool for MX Linux"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    main.cpp
    mainwindow.cpp
    about.cpp
    cmd.cpp
)

set(HEADERS
    mainwindow.h
    about.h
    cmd.h
    common.h
)

set(UI_FILES
    mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-network-assistant
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-network-assistant
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-network-assistant PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-network-assistant PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-network-assistant PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-network-assistant PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-network-assistant PRIVATE NDEBUG)
    target_compile_options(mx-network-assistant PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-network-assistant PRIVATE -flto=thin)
        target_link_options(mx-network-assistant PRIVATE -flto=thin)
    else()
        target_compile_options(mx-network-assistant PRIVATE -flto=auto)
        target_link_options(mx-network-assistant PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-network-assistant
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)



# Set target properties
set_target_properties(mx-network-assistant PROPERTIES
    OUTPUT_NAME "mx-network-assistant"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)



# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-network-assistant
    RUNTIME DESTINATION bin
)

## mx-network-assistant 19.4.1

=== debian/changelog ===
mx-network-assistant (19.4.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Apr 2019 15:08:30 -0400

=== debian/control ===
Source: mx-network-assistant
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9),
	network-manager,
	libcmd
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-network-assistant

Package: mx-network-assistant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer|xdg-utils, rfkill, menu
Replaces: mx-broadcom-manager
Provides: mx-broadcom-manager
Conflicts: mx-broadcom-manager
Description: MX program for network troubleshooting and configuration
 MX Network Assistant is a program used for configuring and troubleshooting 
 network configuration in MX Linux

## mx-network-assistant 19.7

=== debian/changelog ===
mx-network-assistant (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:57:11 -0400

=== debian/control ===
Source: mx-network-assistant
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9),
               libcmd,
               network-manager,
               qt5-default,
               qt5-qmake,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-network-assistant

Package: mx-network-assistant
Architecture: any
Depends: menu,
         mx-viewer | xdg-utils,
         rfkill,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: mx-broadcom-manager
Provides: mx-broadcom-manager
Conflicts: mx-broadcom-manager
Description: MX program for network troubleshooting and configuration
 MX Network Assistant is a program used for configuring and troubleshooting
 network configuration in MX Linux

## mx-network-assistant 19.7.1

=== debian/changelog ===
mx-network-assistant (19.7.1) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 13:42:52 -0400

## mx-network-assistant 19.8

=== debian/changelog ===
mx-network-assistant (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 14:20:37 -0400

## mx-network-assistant 19.8.1

=== debian/changelog ===
mx-network-assistant (19.8.1) mx; urgency=medium

  * fix: offline help

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Aug 2019 16:46:49 -0400

## mx-network-assistant 19.9

=== debian/changelog ===
mx-network-assistant (19.9) mx; urgency=medium

  * remove libcmd dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Sep 2019 18:09:05 -0400

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-q5t QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease src.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-network-assistant 19.9.01

=== debian/changelog ===
mx-network-assistant (19.9.01) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 14:45:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper (>=9),
-               libcmd,
                network-manager,
-               qt5-default,
-               qt5-qmake,
+               qtbase5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-network-assistant

## mx-network-assistant 20.8

=== debian/changelog ===
mx-network-assistant (20.8) mx; urgency=medium

  * fixes IP address and interface detection
  * update language and icons

 -- Adrian <adrian@mxlinux.org>  Sat, 01 Aug 2020 10:50:09 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
          rfkill,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: wget
 Replaces: mx-broadcom-manager
 Provides: mx-broadcom-manager
 Conflicts: mx-broadcom-manager

## mx-network-assistant 22.4

=== debian/changelog ===
mx-network-assistant (22.4) mx; urgency=medium

  * Remove Windows Drivers window since ndiswrapper is no longer available
  * Fix text copy action

 -- Adrian <adrian@mxlinux.org>  Sun, 10 Apr 2022 18:03:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=10),
                network-manager,
                qtbase5-dev,
                qttools5-dev-tools

## mx-network-assistant 22.4.02

=== debian/changelog ===
mx-network-assistant (22.4.02) mx; urgency=medium

  * Disable buttons while the interface is taken up/down

 -- Adrian <adrian@mxlinux.org>  Wed, 13 Apr 2022 16:27:14 -0400

mx-network-assistant (22.4.01) mx; urgency=medium

  * List network devices using 'lshw' program (should list more devices than 'lsusb' and 'lspci').
  * Add Enable/Disable buttons for selected device.
  * Display the enabled status of the device.
  * Display device info in columns.

 -- Adrian <adrian@mxlinux.org>  Wed, 13 Apr 2022 00:50:15 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 Package: mx-network-assistant
 Architecture: any
-Depends: menu,
+Depends: lshw,
+         menu,
          mx-viewer | xdg-utils,
          rfkill,
          ${misc:Depends},

## mx-network-assistant 22.7

=== debian/changelog ===
mx-network-assistant (22.7) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:31:14 -0400

mx-network-assistant (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root
  * Set a minimum size for the window

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 14:36:37 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Package: mx-network-assistant
 Architecture: any
 Depends: lshw,
-         menu,
          mx-viewer | xdg-utils,
          rfkill,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,14 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease src.pro
+	lrelease *.pro
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS)
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-network-assistant 22.8

=== debian/changelog ===
mx-network-assistant (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help 

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:55:37 -0400

## mx-network-assistant 22.8.01

=== debian/changelog ===
mx-network-assistant (22.8.01) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma)

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 19:03:57 -0400

## mx-network-assistant 22.10.01

=== debian/changelog ===
mx-network-assistant (22.10.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:03:41 -0400

## mx-network-assistant 23.5

=== debian/changelog ===
mx-network-assistant (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 22:24:50 -0400

mx-network-assistant (22.10.03) mx; urgency=medium

  * fix string sources 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2022 18:42:35 -0400

## mx-network-assistant 23.7

=== debian/changelog ===
mx-network-assistant (23.7) mx; urgency=medium

  * Refresh translations
  * Update policy file

 -- Adrian <adrian@mxlinux.org>  Sat, 01 Jul 2023 19:23:56 -0400

## mx-network-assistant 23.7.01

=== debian/changelog ===
mx-network-assistant (23.7.01) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:50:52 -0400

## mx-network-assistant 23.11

=== debian/changelog ===
mx-network-assistant (23.11) mx; urgency=medium

  * Run program as normal user and elevate only when running specific commands

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Nov 2023 21:54:14 -0500

## mx-network-assistant 23.11.01

=== debian/changelog ===
mx-network-assistant (23.11.01) mx; urgency=medium

  * Fix: ownership for /etc/modules

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2023 15:49:08 -0500

## mx-network-assistant 24.3

=== debian/changelog ===
mx-network-assistant (24.3) mx; urgency=medium

  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:53:50 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper (>=10),
-               network-manager,
                qtbase5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease *.pro
+	lrelease translations/*.ts
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-network-assistant 24.4

=== debian/changelog ===
mx-network-assistant (24.4) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 22:07:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=10),
-               qtbase5-dev,
-               qttools5-dev-tools
+Build-Depends: debhelper (>=10), qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-network-assistant

## mx-network-assistant 25.09

=== debian/changelog ===
mx-network-assistant (25.09) mx; urgency=medium

  * Update help file
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 28 Sep 2025 00:18:53 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=10), qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
+Build-Depends: debhelper-compat (=12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
-Vcs-Git: git://github.com/AdrianTM/mx-network-assistant
+Vcs-Git: git://github.com/MX-Linux/mx-network-assistant
+Homepage: https://github.com/MX-Linux/mx-network-assistant
 
 Package: mx-network-assistant
 Architecture: any
